<refentry id="menuchoice.element">
<?dbhtml filename="menuchoice.html"?>
<refentryinfo>
<pubdate>$Date: 2004-02-23 22:25:58 +0800 (Mon, 23 Feb 2004) $</pubdate>
<releaseinfo>$Revision: 3457 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>menuchoice</secondary></indexterm>
<refentrytitle>menuchoice</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>menuchoice</refname>
<refpurpose>&menuchoice.purpose;</refpurpose>
</refnamediv>

&menuchoice.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>
In applications that present graphical user interfaces, it is often
necessary to select an item, or a series of items, from a menu in
order to accomplish some action.  The <sgmltag>MenuChoice</sgmltag> element
provides a wrapper to contain the complete combination of selections.
</para>

<refsect2><title>Processing expectations</title>
<para>
&format.inline; &pexp.moreinfo;
</para>
<para>
<sgmltag>MenuChoice</sgmltag> may generate arrows or other punctuation between
multiple GUI elements.  The <sgmltag>ShortCut</sgmltag> may be suppressed, or
sometimes it is presented in parentheses after the rest of the items.
</para>
</refsect2>


&menuchoice.parents.gen;
&menuchoice.children.gen;
</refsect1>
<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>
<variablelist>
<varlistentry><term>moreinfo</term>
<listitem>
<para>
If <sgmltag class='attribute'>MoreInfo</sgmltag> is set to <literal>RefEntry</literal>,
it implies that a <sgmltag>RefEntry</sgmltag> exists which further describes the
<sgmltag>MenuChoice</sgmltag>.
</para>
</listitem>
</varlistentry>
</variablelist>
</refsect1>
<refsect1 condition='ref.elem.seealso'><title>See Also</title>
&menuchoice.seealso.gen;
</refsect1>
<refsect1><title>Examples</title>

<informalexample role="example-source">
<programlisting>&menuchoice.example.1.txt;</programlisting>
</informalexample>

<anchor id="ex.os.menuchoice.1" role="HACK-ex.out.start"/>
&menuchoice.example.1.gen;
<anchor id="ex.oe.menuchoice.1" role="HACK-ex.out.end"/>

<para>
Compare this example with the similar example in <sgmltag>GUIMenu</sgmltag>.
Here the <sgmltag>KeyCombo</sgmltag> and <sgmltag>MenuChoice</sgmltag> elements
are required to process thier content in some intelligent way in
order to produce useful output.  
</para>

&menuchoice.example.seealso.gen;
</refsect1>
</refentry>

